Imports System.IO
Imports Microsoft.Reporting.WinForms

Public Class frmPrintView

    Public Sub BefüllenAbrechnung()
        Dim rdlcName As String = "UID.rptDetailsPrint.rdlc"
        Me.ReportViewer1.LocalReport.ReportEmbeddedResource = rdlcName

      
        Me.ReportViewer1.SetDisplayMode(DisplayMode.PrintLayout)
        Me.ReportViewer1.RefreshReport()

    End Sub
    Public Sub Transportauftrag()
        Dim rdlcName As String = "DISPO.rptTransportauftrag.rdlc"
        Me.ReportViewer1.LocalReport.ReportEmbeddedResource = rdlcName


        Me.ReportViewer1.SetDisplayMode(DisplayMode.PrintLayout)
        Me.ReportViewer1.RefreshReport()

    End Sub
   
    Public Sub BefüllenMitarb(ByVal data As IList(Of VERAG_PROG_ALLGEMEIN.cMitarbeiter))
        Dim rdlcName As String = "UID.rptMitarbPrint.rdlc"
        Me.ReportViewer1.LocalReport.ReportEmbeddedResource = rdlcName
        Me.ReportViewer1.LocalReport.DataSources.Add(New ReportDataSource("DataSet1", data))

        '   Me.ReportViewer1.LocalReport.SetParameters(New ReportParameter("Titel", "t"))
        ' Me.ReportViewer1.LocalReport.DataSources.Add(New ReportDataSource("DataSet1", ds))
        Me.ReportViewer1.SetDisplayMode(DisplayMode.PrintLayout)
        Me.ReportViewer1.RefreshReport()

    End Sub

    Public Sub BefüllenSeminarZertifikat()
        Dim rdlcName As String = "ADMIN.PageReport1.rdlx"
        Me.ReportViewer1.LocalReport.ReportEmbeddedResource = rdlcName
        '  Me.ReportViewer1.LocalReport.DataSources.Add(New ReportDataSource("DataSet1", data))

        '   Me.ReportViewer1.LocalReport.SetParameters(New ReportParameter("Titel", "t"))
        ' Me.ReportViewer1.LocalReport.DataSources.Add(New ReportDataSource("DataSet1", ds))
        Me.ReportViewer1.SetDisplayMode(DisplayMode.PrintLayout)
        Me.ReportViewer1.RefreshReport()

    End Sub

    Private Function boolToJaNein(ByVal wert As Boolean) As String
        If wert Then
            Return "ja"
        Else
            Return "nein"
        End If
    End Function

    Private Sub frmDruckansicht_Load(sender As Object, e As EventArgs) Handles MyBase.Load

        Me.ReportViewer1.RefreshReport()
    End Sub

    Private Sub ReportViewer1_Load(sender As Object, e As EventArgs) Handles ReportViewer1.Load

    End Sub
End Class